OGRE: Ogre::InstancedGeometry::QueuedGeometry Struct Reference - OGRE Documentation

# Ogre::InstancedGeometry::QueuedGeometry Struct Reference

Structure recording a queued geometry for low level builds. More...

`#include <OgreInstancedGeometry.h>`

Inheritance diagram for Ogre::InstancedGeometry::QueuedGeometry:

[legend]

List of all members.

## Public Member Functions
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Public Attributes
SubMeshLodGeometryLink * | geometry
Vector3 | position
Quaternion | orientation
Vector3 | scale
unsigned int | ID

## Detailed Description

Structure recording a queued geometry for low level builds.

Definition at line 152 of file OgreInstancedGeometry.h.

## Member Function Documentation

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 62 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 73 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 79 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 84 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 89 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 106 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

SubMeshLodGeometryLink* Ogre::InstancedGeometry::QueuedGeometry::geometry

Definition at line 154 of file OgreInstancedGeometry.h.

Vector3 Ogre::InstancedGeometry::QueuedGeometry::position

Definition at line 155 of file OgreInstancedGeometry.h.

Quaternion Ogre::InstancedGeometry::QueuedGeometry::orientation

Definition at line 156 of file OgreInstancedGeometry.h.

Vector3 Ogre::InstancedGeometry::QueuedGeometry::scale

Definition at line 157 of file OgreInstancedGeometry.h.

unsigned int Ogre::InstancedGeometry::QueuedGeometry::ID

Definition at line 158 of file OgreInstancedGeometry.h.

The documentation for this struct was generated from the following file:

- OgreInstancedGeometry.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:33:44 2009